Bug 516650 - unable to login because can't switch keyboard layout to en
Summary: unable to login because can't switch keyboard layout to en
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-10 21:44 UTC by Muayyad Alsadi
Modified: 2015-01-14 23:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:04:21 UTC


Attachments (Terms of Use)
a way to preserve keyboard options (1.36 KB, patch)
2009-08-11 10:32 UTC, Muayyad Alsadi
no flags Details | Diff
a way to preserve keyboard options (I forget a ;) (1.36 KB, patch)
2009-08-11 20:03 UTC, Muayyad Alsadi
no flags Details | Diff

Description Muayyad Alsadi 2009-08-10 21:44:17 UTC
Description of problem:
if someone chooses ar-qwerty while installing f11 he won't be able to type the password to login because the default layout is ara and gdm resets all options including grp (ie. group switching)


Version-Release number of selected component (if applicable):
gdm-2.26.1-13.fc11.i586

How reproducible:
always

Additional info:
a fedora patch called gdm-system-keyboard.patch is responsible for this because it reads layouts from hal (which us set by fedora-setup-keyboard)

we need to make it not just respect input.xkb.layout but also input.xkb.options

another note:
it talks to hal to just know the value of an environment variable
gdm_session_direct_set_environment_variable (session, "GDM_KEYBOARD_LAYOUT", get_layout_name (session));

so we need to introduce GDM_KEYBOARD_OPTIONS
and either set it by hal's input.xkb.options or by making gdm.in read it directly from /etc/sysconfig/keyboard

Comment 1 Muayyad Alsadi 2009-08-11 10:32:34 UTC
Created attachment 357014 [details]
a way to preserve keyboard options

GDM does not set any options, which makes it impossible to switch layout and type your password

this patch uses /etc/sysconfig/keyboard to tell GDM what options

Comment 2 Muayyad Alsadi 2009-08-11 20:03:08 UTC
Created attachment 357074 [details]
a way to preserve keyboard options (I forget a ;)

Comment 3 Christoph Wickert 2009-08-19 06:59:09 UTC
Setting priority to high because this is a serious problem for all people not using en_US layout. They no longer can login if their password includes Z or Y.

Comment 4 Bug Zapper 2010-04-28 09:41:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:04:21 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.